﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PSO2SERVER.Models
{
    public struct ItemName
    {
        public ItemId id;
        public string en_name;
        public string jp_name;
        public string en_desc;
        public string jp_desc;
    }

    public struct ItemParameters
    {
        public List<byte> pc_attrs;
        public List<byte> vita_attrs;
        public ItemAttributesPC attrs;
        public List<ItemName> names;
    }

    public struct StorageInventory
    {
        public uint total_space;
        public byte storage_id;
        public bool is_enabled;
        public bool is_purchased;
        public byte storage_type;
        public List<PSO2Items> items;
    }

    public struct AccountStorages
    {
        public ulong Storage_meseta;
        public StorageInventory Default;
        public StorageInventory Premium;
        public StorageInventory Extend1;
    }

    internal class Inventory
    {
    }
}
